POST api/cabreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "0da0250d-49fc-459a-bed9-d8e43bd89625",
"name": "sample string 2",
"cab_reader_type_id": "41a26217-778c-4581-95a6-50f946f5a74d",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "216cfab0-6412-4d97-9acc-2db47828491c",
"active": true,
"site_id": "12cc2f06-ddc1-4c6d-b949-22fd7a9fb7d3",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>41a26217-778c-4581-95a6-50f946f5a74d</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>0da0250d-49fc-459a-bed9-d8e43bd89625</id> <name>sample string 2</name> <parity>7</parity> <pc_id>216cfab0-6412-4d97-9acc-2db47828491c</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>12cc2f06-ddc1-4c6d-b949-22fd7a9fb7d3</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c7c88666-d877-42de-9456-670238fdf688"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c7c88666-d877-42de-9456-670238fdf688</guid>